# Wildcard Certificates From Let's Encrypt

Wildcard certificates (CN=*.…) issued by Let's Encrypt.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/wildcard-certificates-from-lets-encrypt/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 6 of 8 in **Combinations › Investigations** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `ssl.subject_dn` · `field` `ssl.issuer.organization` · `operator` `startswith` · `operator` `eq` · `logic` `must`

Wildcard certificates (`CN=*.…`) issued by Let's Encrypt.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `ssl.subject_dn` |
| `filters.must[0].type` | body | `startswith` |
| `filters.must[0].value` | body | `CN=*.` |
| `filters.must[1].name` | body | `ssl.issuer.organization` |
| `filters.must[1].type` | body | `eq` |
| `filters.must[1].value` | body | `Let's Encrypt` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "ssl.subject_dn",
        "type": "startswith",
        "value": "CN=*."
      },
      {
        "name": "ssl.issuer.organization",
        "type": "eq",
        "value": "Let'\''s Encrypt"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99817` · `x-ratelimit-remaining-minute: 9987` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 57138444,
  "results": [
    {
      "punycode": "parkview.com.bd",
      "unicode": "parkview.com.bd",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "parkview",
        "unicode": "parkview",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8,
        "lang": "en",
        "keywords": [
          "parkview"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "parkview.com.bd",
        "unicode": "parkview.com.bd",
        "is_idn": false,
        "name": {
          "punycode": "parkview",
          "unicode": "parkview",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "en",
          "keywords": [
            "parkview"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "com.bd",
          "unicode": "com.bd",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "bd",
          "unicode": "bd",
          "is_idn": false
        },
        "extension_sub": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": null,
        "whois": null,
        "whois_normalized": null,
        "whois_last_check_date": null,
        "whois_create_date_historical": [],
        "whois_last_change_date": null,
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-21T10:15:09Z",
            "ip_addresses": [
              "103.159.36.86"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T10:19:36Z",
        "ip_history": [
          "67.215.237.74",
          "103.159.36.58",
          "103.138.150.26",
          "103.187.22.90",
          "103.159.37.50",
          "103.159.36.86"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-06-26T07:34:16Z",
            "end_date": "2026-09-24T07:34:15Z"
          },
          "serial_number": "438881068054409818247732798429310905252981",
          "check_date": "2026-07-29T14:15:59Z"
        },
        "ssl_last_change_date": "2026-07-25T02:29:13Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T10:15:09Z",
          "ip_addresses": [
            "103.159.36.86"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T10:15:09Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T10:15:09Z",
          "name_servers": [
            "bdns1.exonhost.com",
            "bdns2.exonhost.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T10:15:09Z",
          "mail_servers": [
            "parkview.com.bd"
          ]
        },
        "soa": {
          "update_date": "2026-09-21T10:15:09Z",
          "mnames": [
            "bdns1.exonhost.com"
          ],
          "rnames": [
            "webmaster.exonhost.com"
          ],
          "rname_emails": [
            "user@exonhost.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T10:15:09Z",
          "values": [
            "\"v=spf1 ip4:103.159.36.86 ip4:103.159.37.50 ip4:103.138.150.26 ip4:103.159.36.58 ip4:67.215.237.74 +a +mx +ip4:96.44.129.242 ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-21T10:15:09Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T10:19:34Z",
      "ip_history": [
        "67.215.237.74",
        "103.159.36.58",
        "103.138.150.26",
        "103.187.22.90",
        "103.159.37.50",
        "103.159.36.86"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "parkview.bd",
          "parkview.com.bd"
        ],
        "version": 3,
        "serial_number": "438881068054409818247732798429310905252981",
        "fingerprint": {
          "sha256": "f627bdcd68376114963bef6fd8b51a513bf5213fd7499f5f88b8e660d73e72f2",
          "sha1": "fd8a7c35bb3a1342ca996713169edb0717799476",
          "md5": "cac5e72a6d49da3d97d60f23115d4664"
        },
        "validity": {
          "start_date": "2026-06-26T07:34:16Z",
          "end_date": "2026-09-24T07:34:15Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "KIUBrRB5SVPF/moVpRR3dPzIb8V3qTJXx17MHC33ZzMe00dpxDcC/1mIrlDBHKHsNoZhgffQ9gM+oO5cnrgad9cyI4waawEULtKmi00RMYW7Z0ty+LeheTDthgdfaCWL5oDtpV45/N4lUsz3fWxpZerhvyLIlZF67X7lqFT/Afv0SNTC+LNOJib84ySs0c8PklpH6L/44H1/2siGZFjzYbUw7ltkPMuGxygBed4XmyEAuLo3T1KURCc3z5KRGc4tHS0WjbLHCL+nN7aYt/htZwCFgOIw2Y4/rKLYKR2weM1IDz3GWZWAZNazbw+QQmMD7RH18fP01HaL5g9xJFkZ9w==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=YR1,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YR1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.parkview.bd",
        "subject": {
          "common_name": "*.parkview.bd",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "Hy81vkYUgs1Asa55LFV4+vfUaPs=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-06-26T08:32:46Z",
            "2026-06-26T08:32:47Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.parkview.bd",
              "*.parkview.com.bd",
              "parkview.bd",
              "parkview.com.bd"
            ]
          },
          "subject_key_id": "prbpEzx5I7hIaYCBmy4xIto3X7Y="
        },
        "check_date": "2026-07-29T14:15:59Z"
      },
      "ssl_last_change_date": "2026-07-25T02:29:12Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "2443c480e07916c93ae1f78f8a73459f549d7e85025df2a3eb0af10fff96be9a"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://parkview.com.bd/",
              "status_code": 301
            },
            {
              "url": "https://parkview.com.bd/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://parkview.com.bd/",
          "final_fqdn": "parkview.com.bd",
          "final_domain": "parkview.com.bd",
          "headers": {
            "others": [
              {
                "name": "connection",
                "value": "Keep-Alive"
              },
              {
                "name": "keep_alive",
                "value": "timeout=5, max=100"
              },
              {
                "name": "link",
                "value": "<https://parkview.com.bd/wp-json/>; rel=\"https://api.w.org/\", <https://parkview.com.bd/wp-json/wp/v2/pages/145>; rel=\"alternate\"; title=\"JSON\"; type=\"application/json\", <https://parkview.com.bd/>; rel=shortlink"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "date",
                "value": "Wed, 05 Aug 2026 12:52:41 GMT"
              },
              {
                "name": "alt_svc",
                "value": "h3=\":443\"; ma=2592000, h3-29=\":443\"; ma=2592000, h3-Q050=\":443\"; ma=2592000, h3-Q046=\":443\"; ma=2592000, h3-Q043=\":443\"; ma=2592000, quic=\":443\"; ma=2592000; v=\"43,46\""
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "LiteSpeed",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "PHP/8.2.32",
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "cortijoplomerosyrico.com",
      "unicode": "cortijoplomerosyrico.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "cortijoplomerosyrico",
        "unicode": "cortijoplomerosyrico",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 20,
        "lang": "en",
        "keywords": [
          "cortijo",
          "plomer",
          "osy",
          "rico"
        ],
        "keyword_count": 4,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "cortijoplomerosyrico.com",
        "unicode": "cortijoplomerosyrico.com",
        "is_idn": false,
        "name": {
          "punycode": "cortijoplomerosyrico",
          "unicode": "cortijoplomerosyrico",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 20,
          "lang": "en",
          "keywords": [
            "cortijo",
            "plomer",
            "osy",
            "rico"
          ],
          "keyword_count": 4
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-03-28T10:52:49Z",
          "update_date": "2026-03-29T01:26:27Z",
          "expiry_date": "2027-03-28T10:52:49Z",
          "registrar": "one.com a/s",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns01.one.com",
            "ns02.one.com"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "whois.one.com",
          "check_date": "2026-05-29T12:43:12Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-05-29T12:43:12Z",
        "whois_create_date_historical": [
          "2026-03-28T10:52:49Z"
        ],
        "whois_last_change_date": "2026-03-29T08:13:18Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-21T10:16:29Z",
            "ip_addresses": [
              "46.30.211.38"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T10:20:07Z",
        "ip_history": [
          "46.30.211.38"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-07-20T07:00:23Z",
            "end_date": "2026-10-18T07:00:22Z"
          },
          "serial_number": "468956461168784524831826234181976913115009",
          "check_date": "2026-09-21T10:14:09Z"
        },
        "ssl_last_change_date": "2026-08-14T17:51:04Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T10:16:29Z",
          "ip_addresses": [
            "46.30.211.38"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T10:16:29Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T10:16:29Z",
          "name_servers": [
            "ns01.one.com",
            "ns02.one.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T10:16:29Z",
          "mail_servers": [
            "mx1.mailpod15-cph3.g1i.one.com",
            "mx2.mailpod15-cph3.g1i.one.com",
            "mx3.mailpod15-cph3.g1i.one.com",
            "mx4.mailpod15-cph3.g1i.one.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-21T10:16:29Z",
          "mnames": [
            "ns01.one.com"
          ],
          "rnames": [
            "hostmaster.one.com"
          ],
          "rname_emails": [
            "user@one.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T10:16:29Z",
          "values": [
            "\"v=spf1 include:_custspf.one.com ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-21T10:16:29Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T10:20:06Z",
      "ip_history": [
        "46.30.211.38"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "one.com"
        ],
        "version": 3,
        "serial_number": "468956461168784524831826234181976913115009",
        "fingerprint": {
          "sha256": "5aad284109edc72bbaa3e7e8ff69b601d0d170543aa3ed49fb526f2216318c5b",
          "sha1": "9f6945afeedb36797c2475ffce1e462a8145544e",
          "md5": "b8a254006e9ba406e88ca607c0bdfad9"
        },
        "validity": {
          "start_date": "2026-07-20T07:00:23Z",
          "end_date": "2026-10-18T07:00:22Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "cDK6vpvU2MPVLGk93QGY3jUdCiWHU5li99JuwD8Ga0KUBWAvL+Qm2J/MFyKMlcTfH4+DOsSO4vF3ceyhca9ZLb6zrcPAQsfk9Gn4xPeksUM/bi2Oj3V9Mi2CfAu/s7DIkRmRU/tKdfOwU7742cPesnQv/Yc9420gKUVPARSqu15DKgNUoBvktsH8ac0U0jT3INENJAri37uhT+B912eP3deDCCrYkwpuZDN8aY5eY4WDU+kWrabAt4Tzyf54gBeDl1KdG2d0X3vFsSx3tL/HtYY1NZBxKR0wGBuCZZjobzpBEipo+oS779DCg1hokMqt6bVZdQB1Segkushz7YANfA==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=YR2,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YR2",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.one.com",
        "subject": {
          "common_name": "*.one.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "QBUtJnntMiCe35pyHdYyH4EMgQw=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-07-20T07:58:53Z",
            "2026-07-20T07:58:52Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.one.com",
              "one.com"
            ]
          },
          "subject_key_id": "bRNudN5Mu1FUIJ8BAn9pvWn7TLw="
        },
        "check_date": "2026-09-21T10:14:09Z"
      },
      "ssl_last_change_date": "2026-08-14T17:51:03Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "4fee3bfe650b625deb6da561222154f83cfa0d1f8682ce0ed055215abf1f37b1"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://cortijoplomerosyrico.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://cortijoplomerosyrico.com/",
          "final_fqdn": "cortijoplomerosyrico.com",
          "final_domain": "cortijoplomerosyrico.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Mon, 31 Aug 2026 17:11:40 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "etag",
                "value": "W/\"671b13b4-3021c\""
              },
              {
                "name": "expires",
                "value": "Thu, 31 Dec 2037 23:55:55 GMT"
              },
              {
                "name": "x_node",
                "value": "webproxy2.cst.cdnpod2-cph3.one.com"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": "*",
            "cache_control": "max-age=315360000, public, immutable",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Fri, 25 Oct 2024 03:42:44 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "nginx/1.18.0 (Ubuntu)",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "castroegerhard.com.br",
      "unicode": "castroegerhard.com.br",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "castroegerhard",
        "unicode": "castroegerhard",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 14,
        "lang": "de",
        "keywords": [
          "castro",
          "gerhard"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "castroegerhard.com.br",
        "unicode": "castroegerhard.com.br",
        "is_idn": false,
        "name": {
          "punycode": "castroegerhard",
          "unicode": "castroegerhard",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 14,
          "lang": "de",
          "keywords": [
            "castro",
            "gerhard"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com.br",
          "unicode": "com.br",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "br",
          "unicode": "br",
          "is_idn": false
        },
        "extension_sub": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2021-03-01T23:16:58Z",
          "update_date": "2026-02-20T08:22:24Z",
          "expiry_date": "2028-03-01T23:16:58Z",
          "registrar": null,
          "registrant": null,
          "name_servers": [
            "ns208.hoteldaweb.com.br",
            "ns209.hoteldaweb.com.br"
          ],
          "domain_status": [
            "active"
          ],
          "whois_server": "whois.registro.br",
          "check_date": "2026-08-23T11:46:08Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-23T11:46:08Z",
        "whois_create_date_historical": [
          "2021-03-01T00:00:00Z",
          "2021-03-01T23:16:58Z"
        ],
        "whois_last_change_date": "2026-08-23T11:50:42Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-21T10:14:28Z",
            "ip_addresses": [
              "54.39.246.205"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T10:17:57Z",
        "ip_history": [
          "54.39.246.205"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-07-21T00:54:04Z",
            "end_date": "2026-10-19T00:54:03Z"
          },
          "serial_number": "438624767890368527740870407008336046739854",
          "check_date": "2026-08-24T02:19:26Z"
        },
        "ssl_last_change_date": "2026-08-20T04:26:27Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T10:14:28Z",
          "ip_addresses": [
            "54.39.246.205"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T10:14:28Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T10:14:28Z",
          "name_servers": [
            "ns214.hoteldaweb.com.br",
            "ns215.hoteldaweb.com.br"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T10:14:28Z",
          "mail_servers": [
            "castroegerhard.com.br"
          ]
        },
        "soa": {
          "update_date": "2026-09-21T10:14:28Z",
          "mnames": [
            "ns214.hoteldaweb.com.br"
          ],
          "rnames": [
            "cpanel.hoteldaweb.com.br"
          ],
          "rname_emails": [
            "user@hoteldaweb.com.br"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T10:14:28Z",
          "values": [
            "\"v=spf1 ip4:15.235.50.43 ip4:158.69.114.185 include:host72.hoteldaweb.com.br +a +mx +ip4:54.39.246.205 +ip4:167.114.34.162 ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-21T10:14:28Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T10:17:55Z",
      "ip_history": [
        "54.39.246.205"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "castroegerhard.com.br"
        ],
        "version": 3,
        "serial_number": "438624767890368527740870407008336046739854",
        "fingerprint": {
          "sha256": "06179c4b9d37d2bdfb0bd0296bae956281e73862c056358d561d2e6873d8fc5a",
          "sha1": "0af3b6ddbbff04912b125cbff34e7b190d5f7d07",
          "md5": "f17e34bd03e1c3f51984e177b0b56ab2"
        },
        "validity": {
          "start_date": "2026-07-21T00:54:04Z",
          "end_date": "2026-10-19T00:54:03Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "JSeeTo9AQ9/I4nbPM31UfqqycJV/Rg6QCkLItMKysMNxfYwqxXwgICSubQMTPx1/Qq6lfOE1ctuEvFkuLP6T4epjFDrkWOJ77ioLpYRitIr1WTge3Wj1uRBkPk81aBV2vWxwE1bCLgUJ0Cqe1bhWNy1cqS9e2F3K0gZ6lgEkCece6SFBfX+cSbRtdGRNpDwTQyt9PgOxqDcuUJ0Y8v4dRQlQeXCrmKxwm7Yt6UPdBU8zfn9nViyEe7IeZzOhiZNz5vAMZKJTZtexpF5mr0whTPRc2TOk1DP1c8Q68nrf/FLF3tZSiXGWu/sgQpP1C0PtA4sk0Uu+obq7HA42OJzSoQ==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=YR1,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YR1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.castroegerhard.com.br",
        "subject": {
          "common_name": "*.castroegerhard.com.br",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "Hy81vkYUgs1Asa55LFV4+vfUaPs=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-07-21T01:52:34Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.castroegerhard.com.br",
              "castroegerhard.com.br"
            ]
          },
          "subject_key_id": "iMLOmv3YKgR2henKc07IKIqh8bE="
        },
        "check_date": "2026-08-24T02:19:26Z"
      },
      "ssl_last_change_date": "2026-08-20T04:26:26Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "f194f6e7abd376eda5ad8744919a52841ba76c7cdb4a3b8967602fd8be20f537"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://castroegerhard.com.br/",
              "status_code": 301
            },
            {
              "url": "https://castroegerhard.com.br/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://castroegerhard.com.br/",
          "final_fqdn": "castroegerhard.com.br",
          "final_domain": "castroegerhard.com.br",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Tue, 18 Aug 2026 13:08:07 GMT"
              },
              {
                "name": "permissions_policy",
                "value": "private-state-token-redemption=(self \"https://www.google.com\" \"https://www.gstatic.com\" \"https://recaptcha.net\" \"https://challenges.cloudflare.com\" \"https://hcaptcha.com\"), private-state-token-issuance=(self \"https://www.google.com\" \"https://www.gstatic.com\" \"https://recaptcha.net\" \"https://challenges.cloudflare.com\" \"https://hcaptcha.com\")"
              },
              {
                "name": "link",
                "value": "<https://castroegerhard.com.br/wp-json/>; rel=\"https://api.w.org/\", <https://castroegerhard.com.br/wp-json/wp/v2/pages/17>; rel=\"alternate\"; title=\"JSON\"; type=\"application/json\", <https://castroegerhard.com.br/>; rel=shortlink"
              },
              {
                "name": "upgrade",
                "value": "h2,h2c"
              },
              {
                "name": "connection",
                "value": "Upgrade, Keep-Alive"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "keep_alive",
                "value": "timeout=5, max=200"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Apache",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "PHP/7.4.33",
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ]
}
```

## Related Examples

- [Wildcard Certificates by Subject DN](/reference/discovery/domain-search/examples/ssl-subject-dn/)
- [Latest Certificate Changes First](/reference/discovery/domain-search/examples/latest-certificate-changes-first/)
- [Issued by Let's Encrypt](/reference/discovery/domain-search/examples/ssl-issuer-organization/)
- [Starts With: Login Hosts](/reference/discovery/domain-search/examples/startswith-login-hosts/)
- [Powered by PHP](/reference/discovery/domain-search/examples/webdata-http-headers-x-powered-by/)
- [Sets a PHP Session Cookie](/reference/discovery/domain-search/examples/webdata-http-headers-set-cookie/)
